MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Catalog
Deployments
Discover
LLM
MCP Listing Claims
MCP Listings
OAuth2
Observability
Export Audit Log as CSVAudit LogPer-Tool StatsUsage Stats
Organisations
Reviews
Roadmap
SCIM
Users
Utils
Vault
Webhooks
API ReferenceObservability

Per-Tool Stats

GET
/v1/observability/tools

Per-(namespace, tool) aggregates for the given org/bundle/range, sorted by call count.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

org_id*Org Id
Formatuuid
range?Range
Match^(1h|24h|7d)$
Default"24h"
bundle_id?|null
verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/observability/tools?org_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "tools": [    {      "mcp_namespace": "string",      "tool_name": "string",      "call_count": 0,      "error_count": 0,      "avg_latency_ms": 0,      "bytes_transferred": 0    }  ]}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Audit Log

Previous Page

Usage Stats

Next Page